Subject: Re: #1151 - Building Emacs on Mac OS 10.3.9 - Emacs bug report logs

From: "Alex Schröder" <[email-masked]>
Date: Tue, 23 Dec 2008 02:31:43 +0100

On Tue, Oct 21, 2008 at 2:42 PM, Adrian Robert
<[email-masked]> wrote:
> I am interested in having Emacs continue to work under Panther but don't
> have access to a test environment myself.  Could you try commenting out the
> part of the 'if' statement involving "typeUTF16ExternalRepresentation" and
> see where that gets you?
>
> If you get it working and send me a list of all places that you needed to
> change, I can put in #ifdefs etc. so it will work out of the box.

Hi Adrian

Indeed, that does work!

This is the only change I made:

cvs diff: Diffing src
Index: src/nsfns.m
===================================================================
RCS file: /sources/emacs/emacs/src/nsfns.m,v
retrieving revision 1.29
diff -c -r1.29 nsfns.m
*** src/nsfns.m	7 Dec 2008 05:00:56 -0000	1.29
--- src/nsfns.m	23 Dec 2008 01:27:36 -0000
***************
*** 2054,2061 ****
  	  *result = Qt;
  	  // script returned an AppleScript result
  	  if ((typeUnicodeText == [returnDescriptor descriptorType]) ||
! 	      (typeUTF16ExternalRepresentation
! 	       == [returnDescriptor descriptorType]) ||
  	      (typeUTF8Text == [returnDescriptor descriptorType]) ||
  	      (typeCString == [returnDescriptor descriptorType]))
  	    {
--- 2054,2061 ----
  	  *result = Qt;
  	  // script returned an AppleScript result
  	  if ((typeUnicodeText == [returnDescriptor descriptorType]) ||
! // 	      (typeUTF16ExternalRepresentation
! // 	       == [returnDescriptor descriptorType]) ||
  	      (typeUTF8Text == [returnDescriptor descriptorType]) ||
  	      (typeCString == [returnDescriptor descriptorType]))
  	    {